local WM = WINDOW_MANAGER

function MitigationPercent:InitializeControls()
	self.ctrl = WM:CreateTopLevelWindow("MitigationPercentDisplay") 
	self.ctrl:SetHandler("OnMoveStop", function() self:OnDisplayPosChange() end)
	self.ctrl:SetClampedToScreen(true)
	self.ctrl:ClearAnchors()
	self.ctrl:SetHidden(true)
	self.ctrl:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, self.savedVariables.offset["x"], self.savedVariables.offset["y"])
	self.ctrl:SetResizeToFitDescendents(true)
	
	self.ctrl.label = WM:CreateControl("$(parent)Label", self.ctrl, CT_LABEL)
	self.ctrl.label:SetAnchor(TOP, self.ctrl, TOP, 0, 0)
	self.ctrl.label:SetVerticalAlignment(1)
	self.ctrl.label:SetHorizontalAlignment(1)
	
	local textSizeString = "MEDIUM"
	if self.savedVariables.boldText == true then
		textSizeString = "BOLD"
	end
	self.ctrl.label:SetColor(self.savedVariables.panelColorR, self.savedVariables.panelColorG, self.savedVariables.panelColorB)
	self.ctrl.label:SetFont(tostring("$(" .. textSizeString .. "_FONT)|" .. self.savedVariables.textSize .. "|soft-shadow-thin"))
	
end

function MitigationPercent:OnDisplayPosChange()
	self.savedVariables.offset["x"] = self.ctrl:GetLeft()
	self.savedVariables.offset["y"] = self.ctrl:GetTop()
end